Doomsday Engine - Feature #1435

Old-style sound queing
2007-01-31 21:29 - phoenix9000

Status: Closed
Priority: Normal
Assignee: skyjake
Category: Vanilla emulation

Target version:

Start date: 2007-01-31
% Done: 100%

Description

In Jdoom right now, multiple sounds created by a single entity all overlap when played. This can sound really bad when using the
chainsaw on a demon or imp, or if a monster goes under a crushing ceiling. In the original Doom engine, entities would interrupt any
existing sound they were playing in order to make a new sound. Right now in Jdoom | think the only entity that does this is the
chainsaw's idle and attack loops. Could an option be put into place to use the old-style sound queing for all entities?

Labels: Sound

History

#1 - 2007-05-17 20:06 - danij

Logged In: YES
user_id=849456
Originator: NO

It is possible to make this optional if it is not already.

#2 - 2013-10-22 08:31 - skyjake

- Tags set to SFX

- Category set to Vanilla emulation

- Status changed from New to Closed
- Assignee set to skyjake

- % Done changed from 0 to 100

This can be done with "sound-overlap-stop 1".
